################################################################
# Summon the summon marker that holds the given parameters for 
# the actual custom entity.
#
#
# @as = marker[SM]
# @at = caller
# @args = {
#   type: string
#   variant: string
#   hb_height: float
#   hb_width: float
#   hb_xOff: float
#   hb_yOff: float
#   hb_zOff: float
# }
################################################################


# Set marker's tags
tag @s add UF_ENTITY
tag @s add UF_ENTITY.SM

# Set marker's scores
scoreboard players set @s UF_ENTITY.summonDelay 0

# Set marker's data
data modify entity @s data.summon set value "uf_api:.c_entity/.deco/.summon/advanced"
$data modify entity @s data.type set value $(type)
$data modify entity @s data.variant set value $(variant)
$data modify entity @s data.hb_height set value $(hb_height)
$data modify entity @s data.hb_width set value $(hb_width)
$data modify entity @s data.hb_xOff set value $(hb_xOff)
$data modify entity @s data.hb_yOff set value $(hb_yOff)
$data modify entity @s data.hb_zOff set value $(hb_zOff)

# Adjust marker's rotation
tp @s ~ ~ ~ ~ ~