################################################################
# Summon the summon marker that holds the given parameters for 
# the actual custom entity.
#
#
# @as = marker[SM]
# @at = caller
# @args = {
#   summonDelay: int
#   loot_table: string[loot_table]
#   hb_height: float
#   hb_width: float
#   hb_xOff: float
#   hb_yOff: float
#   hb_zOff: float
# }
################################################################


# Set marker's tags
tag @s add UF_ENTITY
tag @s add UF_ENTITY.SM

# Set marker's scores
$scoreboard players set @s UF_ENTITY.summonDelay $(summonDelay)

# Set marker's data
data modify entity @s data.summon set value "uf_api:.c_entity/.hermit_crab/.summon/advanced"
$data modify entity @s data.TTL set value $(TTL)
$data modify entity @s data.loot_table set value "$(loot_table)"
$data modify entity @s data.hb_height set value $(hb_height)
$data modify entity @s data.hb_width set value $(hb_width)
$data modify entity @s data.hb_xOff set value $(hb_xOff)
$data modify entity @s data.hb_yOff set value $(hb_yOff)
$data modify entity @s data.hb_zOff set value $(hb_zOff)

# Adjust marker's rotation
tp @s ~ ~ ~ ~ ~