################################################################
# Invoke the calling summon marker's summon function and kill
# the marker afterwards.
#
#
# @as = marker[SM]
# @at = marker[SM]
# @args = {
#   summon: string[function]
# }
###############################################################


# Deny summoning if the summon delay is not yet elapsed
execute if score @s UF_ENTITY.summonDelay matches 1.. run return run scoreboard players remove @s UF_ENTITY.summonDelay 1

# Use the summon marker to summon the actual custom entity
$function $(summon) with entity @s data
kill @s