################################################################
# Summon a hermit crab custom entity and update summon checks if
# spawning conditions are met.
#
#
# @as = player
# @at = player
################################################################


# Check that all spawning conditions are met
execute unless biome ~ ~ ~ #u_sea_entity:spawns_hermit_crab run return fail
execute align y unless block ~ ~ ~ minecraft:air run return fail
execute align y unless block ~ ~-1 ~ minecraft:sand run return fail
execute if entity @n[type=minecraft:marker, tag=UF_ENTITY.DM-hermit_crab, distance=0..10] run return fail

# Summon the actual entity
$execute align xyz positioned ~0.5 ~ ~0.5 rotated ~ 0 run function uf_api:.c_entity/.hermit_crab/.summon/default {loot_table:"u_sea_entity:hermit_crab/trade", TTL:$(TTL)}
execute store result score $entity U_SEA_ENTITY.delay.hermit_crab run random value 1200..2400